| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Private Attributes | List of all members
IG.Gr3d.TestVtkGraphicBase.CustomImplicitFunction Class Reference

An vtkImplicitFunction class that represents a custom function of 3 variables used for plotting contours. More...

Inheritance diagram for IG.Gr3d.TestVtkGraphicBase.CustomImplicitFunction:
[legend]
Collaboration diagram for IG.Gr3d.TestVtkGraphicBase.CustomImplicitFunction:
[legend]

## Public Member Functions
| CustomImplicitFunction ()
override double | EvaluateFunction (IntPtr param)
override void | EvaluateGradient (IntPtr param, IntPtr grad)

## Private Attributes
const int | maxWriteVal = 5
const int | maxWriteGrad = 5
int | numWriteVal = 0
int | numWriteGrad = 0

## Detailed Description

An vtkImplicitFunction class that represents a custom function of 3 variables used for plotting contours.

## Constructor & Destructor Documentation

IG.Gr3d.TestVtkGraphicBase.CustomImplicitFunction.CustomImplicitFunction | ( |  | ) |
| inline

## Member Function Documentation

override double IG.Gr3d.TestVtkGraphicBase.CustomImplicitFunction.EvaluateFunction | ( | IntPtr | param | ) |
| inline

override void IG.Gr3d.TestVtkGraphicBase.CustomImplicitFunction.EvaluateGradient | ( | IntPtr | param,
|  | IntPtr | grad
| ) |  |
| inline

## Member Data Documentation

const int IG.Gr3d.TestVtkGraphicBase.CustomImplicitFunction.maxWriteVal = 5
| private

const int IG.Gr3d.TestVtkGraphicBase.CustomImplicitFunction.maxWriteGrad = 5
| private

int IG.Gr3d.TestVtkGraphicBase.CustomImplicitFunction.numWriteVal = 0
| private

int IG.Gr3d.TestVtkGraphicBase.CustomImplicitFunction.numWriteGrad = 0
| private

The documentation for this class was generated from the following file:

- extensions/igplot3d/plot3d/Examples/TestVtkGraphic.cs